<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Scrapper Denis Andrews</title>
    <link rel="shortcut icon" href="images/favicon.png" type="image/x-icon">
    <link rel="stylesheet" href="css/index.css">
    <link rel="stylesheet" href="/publics/css/index.css">

</head>
<body>
    <h1>Liste des Pays et Médailles</h1>
    
    <table>
        <thead>
            <tr>
                <th>Nom du Pays</th>
                <th>Lien</th>
                <th>Or</th>
                <th>Argent</th>
                <th>Bronze</th>
            </tr>
        </thead>
        <tbody>
            <% countriesData.forEach(country => { %>
                <tr>
                    <td><%= country.name %></td>
                    <td><a href="https://olympics-statistics.com/<%= country.link %>"><%= country.link %>"</a></td>
                    <td><%= country.medals.gold %></td>
                    <td><%= country.medals.silver %></td>
                    <td><%= country.medals.bronze %></td>
                </tr>
            <% }); %>
        </tbody>
    </table>

    <hr>

    <h1>Liste des Athlètes Olympiques</h1>
    
    <table>
        <thead>
            <tr>
                <th>Nom de l'Athlète</th>
                <th>Lien</th>
                <th>Médailles</th>
            </tr>
        </thead>
        <tbody>
            <% athletesData.forEach(athlete => { %>
                <tr>
                    <td><%= athlete.name %></td>
                    <td><a href="https://olympics-statistics.com/<%= athlete.link %>"><%= athlete.link %></a></td>
                    <td><%= athlete.medals %></td>
                </tr>
            <% }); %>
        </tbody>
    </table>



    <hr>

    <h1>Liste des Médailles par Sport</h1>

    <!-- <table>
        <thead>
            <tr>
                <th>Nom du Sport</th>
                <th>Médailles par Pays</th>
            </tr>
        </thead>
        <tbody>
            <% sportMedalsData.forEach(sport => { %>
                <tr>
                    <td><%= sport.name %></td>
                    <td>
                        <ul>
                            <% Object.entries(sport.medals).forEach(([country, medals]) => { %>
                                <li><%= country %>: <%= medals %> médailles</li>
                            <% }); %>
                        </ul>
                    </td>
                </tr>
            <% }); %>
        </tbody>
    </table> -->


    <table>
        <thead>
            <tr>
                <th>Nom du Sport</th>
                <th>Nom du Pays</th>
                <th>Total Médailles</th>
                <th>Or</th>
                <th>Argent</th>
                <th>Bronze</th>
            </tr>
        </thead>
        <tbody>
            <% sportMedalsData.forEach(sport => { %>
                <% Object.entries(sport.medals).forEach(([country, medals]) => { %>
                    <tr>
                        <% if (Object.keys(sport.medals).indexOf(country) === 0) { %>
                            <td rowspan="<%= Object.keys(sport.medals).length %>">
                                <a href="https://olympics-statistics.com/<%= sport.link %>"><%= sport.name %></a>
                            </td>
                        <% } %>
                        <td><%= country %></td>
                        <td><%= medals.total %></td>
                        <td><%= medals.gold %></td>
                        <td><%= medals.silver %></td>
                        <td><%= medals.bronze %></td>
                    </tr>
                <% }); %>
            <% }); %>
        </tbody>
    </table>
</body>
</html>
